Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.server
Class ServerCloneException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.CloneNotSupportedException
                        |
                        +--java.rmi.server.ServerCloneException

All Implemented Interfaces:
  Serializable

public class ServerCloneException
extends CloneNotSupportedException

A `ServerCloneException` is thrown if a remote exception occurs during the cloning of a `UnicastRemoteObject`.

As of release 1.4, this exception has been retrofitted to conform to the general purpose exception-chaining mechanism. The "nested exception" that may be provided at construction time and accessed via the public `detail` field is now known as the cause, and may be accessed via the `Throwable.getCause()` method, as well as the aforementioned "legacy field."

Since:
  JDK1.1
See Also:
  `UnicastRemoteObject.clone()`, Serialized Form

Field Summary
`Exception` | `detail` Nested exception for ServerCloneException.

Constructor Summary
`ServerCloneException(String s)` Constructs an `ServerCloneException` with the specified detail message.
`ServerCloneException(String s, Exception ex)` Constructs an `ServerCloneException` with the specified detail message and nested exception.

Method Summary
`Throwable` | `getCause()` Returns the nested exception (the cause).
`String` | `getMessage()` Returns the detail message, including the message from the nested exception if there is one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detail

    public Exception detail

  Nested exception for ServerCloneException.

  This field predates the general-purpose exception chaining facility. The `Throwable.getCause()` method is now the preferred means of obtaining this information.

  Since:
    JDK1.1

Constructor Detail

### ServerCloneException

    public ServerCloneException(String s)

  Constructs an `ServerCloneException` with the specified detail message.

Parameters:
  `s` - the detail message.
Since:
  JDK1.1

### ServerCloneException

    public ServerCloneException(String s,
                                Exception ex)

  Constructs an `ServerCloneException` with the specified detail message and nested exception.

Parameters:
  `s` - the detail message.
  `ex` - the nested exception
Since:
  JDK1.1

Method Detail

### getMessage

    public String getMessage()

  Returns the detail message, including the message from the nested exception if there is one.

  Overrides:
    `getMessage` in class `Throwable`
  Returns:
    the detail message, including nested exception message if any

### getCause

    public Throwable getCause()

  Returns the nested exception (the cause).

  Overrides:
    `getCause` in class `Throwable`
  Returns:
    the nested exception, which may be `null`.
  Since:
    1.4

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.